CREATE TABLE regions (
    id UUID PRIMARY KEY,
    name TEXT NOT NULL
);

CREATE TABLE gamemodes (
    id UUID PRIMARY KEY,
    name TEXT NOT NULL
);

CREATE TABLE servers (
    id UUID PRIMARY KEY,
    region_id UUID NOT NULL REFERENCES regions(id) ON DELETE CASCADE,
    gamemode_id UUID NOT NULL REFERENCES gamemodes(id) ON DELETE CASCADE,
    app_id INT NOT NULL,
    server_ip TEXT NOT NULL,
    name TEXT NOT NULL,
    map TEXT NOT NULL,
    players INT,
    max_players INT
);
